For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet signup data
      • POSTSubmit signup data.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APISignup

Get signup data

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/signup
GET
/api/admin/signup
$curl https://app.unleash-instance.example.com/api/admin/signup \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "shouldSetPassword": true,
3 "name": "Emily Carter",
4 "companyRole": "Product Manager",
5 "companyName": "BrightTech Solutions",
6 "companyIsNA": false,
7 "productUpdatesEmailConsent": false
8}

Enterprise feature

Returns the signup data for the current user.

Was this page helpful?
Previous

Submit signup data.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

signupDataSchema
shouldSetPasswordboolean
Whether the user should set a password as part of the signup process.
namestring
The user's name.
companyRolestring
The role of the user within the company.
companyNamestring
The name of the company.
companyIsNAboolean
Whether the company is based in North America.
productUpdatesEmailConsentboolean
Whether the user has consented to receive product update emails.